Как я могу построить WAR с Maven в Eclipse?

160
19

У меня есть проект, который я начинаю как проект Maven, но по какой-то причине он не работает. Вот мой pom.xml:


<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>ProgramName</groupId>
<artifactId>ProgramName</artifactId>
<version>0.0.1-SNAPSHOT</version>
<dependencies>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>org.springframework.core</artifactId>
<version>3.0.2.RELEASE</version>
</dependency>

<!-- all other dependecies here -->

</dependencies>
<build>
<finalName>ProgramName</finalName>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-war-plugin</artifactId>
<version>2.0.2</version>
<configuration>
<webResources>
<resource>
<targetPath>WEB-INF</targetPath>
<directory>src/main/webapp/WEB-INF</directory>
<filtering>true</filtering>
<includes>
<include>*.xml</include>
</includes>
</resource>
</webResources>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.1</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<version>2.0</version>
</plugin>
</plugins>
</build>
</project>

спросил(а) 2021-01-25T19:04:19+03:00 5 месяцев назад
1
Решение
177

Собственно, ваш POM выглядит немного странно:


    отсутствует проект packaging для проекта webapp.
    Конфигурация плагина maven war не выглядит правильной, вам просто не нужны дополнительные материалы, которые вы добавили.

Вот как выглядит минимальный pom:


<project>
<modelVersion>4.0.0</modelVersion>
<groupId>com.mycompany.app</groupId>
<artifactId>my-webapp</artifactId>
<packaging>war</packaging>
<version>1.0-SNAPSHOT</version>
<dependencies>
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>3.8.1</version>
<scope>test</scope>
</dependency>
</dependencies>
<build>
<finalName>my-webapp</finalName>
</build>
</project>

Так что либо измените его, либо обновите конфигурацию проекта (щелкните правой кнопкой мыши в вашем проекте, затем Maven > Обновить конфигурацию проекта).


Или просто запустите и создайте свой проект, используя maven-archetype-webapp. Вы можете сделать это из Eclipse: Создать > Проект... > Проект Maven, затем выберите maven-archetype-webapp в wizzard и следуйте за сегментами.


Или из командной строки:


mvn archetype:generate -DgroupId=com.mycompany.app -DartifactId=my-webapp -DarchetypeArtifactId=maven-archetype-webapp

ответил(а) 2021-01-25T19:04:19+03:00 5 месяцев назад
99

например, я вижу


<packaging>war</packaging>

отсутствует в вашем pom, вы должны посмотреть, как используется maven-war-plugin.

ответил(а) 2021-01-25T19:04:19+03:00 5 месяцев назад
44

Я предлагаю использовать m2eclipse. Это операция с одним кликом, использующая плагин Eclipse.

ответил(а) 2021-01-25T19:04:19+03:00 5 месяцев назад
Ваш ответ
Введите минимум 50 символов
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема